### Signal

# Gtk GestureSwipe::swipe

#### Declaration

    void
    swipe (
      GtkGestureSwipe self,
      gdouble velocity_x,
      gdouble velocity_y,
      gpointer user_data
    )

#### Description [src]

Emitted when the recognized gesture is finished.

Velocity and direction are a product of previously recorded events.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`velocity_x` | `gdouble`
| Velocity in the X axis, in pixels/sec.
`velocity_y` | `gdouble`
| Velocity in the Y axis, in pixels/sec.